Package be.fgov.ehealth.commons.core.v1

# Class AddressType

java.lang.Object
be.fgov.ehealth.commons.core.v1.AddressType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class AddressType extends Object implements Serializable
Basic AddressType of any eHealth Actor.

Java class for AddressType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddressType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Street" type="{urn:be:fgov:ehealth:commons:core:v1}StreetType"/>
             <element name="HouseNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="PostBox" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Municipality" type="{urn:be:fgov:ehealth:commons:core:v1}MunicipalityType"/>
             <element name="Country" type="{urn:be:fgov:ehealth:commons:core:v1}CountryType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CountryType`
  `getCountry()`
  Gets the value of the country property.
  `String`
  `getHouseNumber()`
  Gets the value of the houseNumber property.
  `MunicipalityType`
  `getMunicipality()`
  Gets the value of the municipality property.
  `String`
  `getPostBox()`
  Gets the value of the postBox property.
  `StreetType`
  `getStreet()`
  Gets the value of the street property.
  `void`
  `setCountry(CountryType value)`
  Sets the value of the country property.
  `void`
  `setHouseNumber(String value)`
  Sets the value of the houseNumber property.
  `void`
  `setMunicipality(MunicipalityType value)`
  Sets the value of the municipality property.
  `void`
  `setPostBox(String value)`
  Sets the value of the postBox property.
  `void`
  `setStreet(StreetType value)`
  Sets the value of the street property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressType

    public AddressType()

- ## Method Details

  - ### getStreet

    public StreetType getStreet()
    Gets the value of the street property.
    Returns:
      possible object is `StreetType`

  - ### setStreet

    public void setStreet(StreetType value)
    Sets the value of the street property.
    Parameters:
      `value` - allowed object is `StreetType`

  - ### getHouseNumber

    public String getHouseNumber()
    Gets the value of the houseNumber property.
    Returns:
      possible object is `String`

  - ### setHouseNumber

    public void setHouseNumber(String value)
    Sets the value of the houseNumber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPostBox

    public String getPostBox()
    Gets the value of the postBox property.
    Returns:
      possible object is `String`

  - ### setPostBox

    public void setPostBox(String value)
    Sets the value of the postBox property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMunicipality

    public MunicipalityType getMunicipality()
    Gets the value of the municipality property.
    Returns:
      possible object is `MunicipalityType`

  - ### setMunicipality

    public void setMunicipality(MunicipalityType value)
    Sets the value of the municipality property.
    Parameters:
      `value` - allowed object is `MunicipalityType`

  - ### getCountry

    public CountryType getCountry()
    Gets the value of the country property.
    Returns:
      possible object is `CountryType`

  - ### setCountry

    public void setCountry(CountryType value)
    Sets the value of the country property.
    Parameters:
      `value` - allowed object is `CountryType`